From 8aae861b573a343b94eb06c206bcd059b4ac5f46 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jan 25 2017 15:31:55 +0000
Subject: [PATCH 662/1001] Better way to generate JS from Python


---

diff --git a/hubs/models.py b/hubs/models.py
index 68197d8..dd6aaa2 100755
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -266,6 +266,10 @@ class Hub(BASE):
             [w for w in self.widgets if not w.left],
             key=lambda w: w.index)
 
+    @property
+    def widgets_idx(self):
+        return [w.idx for w in self.widgets]
+
     def __json__(self, session):
         return {
             'name': self.name,
